package com.xyhy.jiaranmqttcluster;


import com.xyhy.jiaranmqttcluster.common.Common;
import com.xyhy.jiaranmqttcluster.common.mqtt.MqttServer;
import com.xyhy.jiaranmqttcluster.common.rabbitmq.listening.Listen_thirdPartyPush_jiaran;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

@Component
public class ServerRun extends Common implements CommandLineRunner {

    @Override
    public void run(String... args) throws Exception {

        //MQTT server 启动
        MqttServer.getInstance().connect();

        Listen_thirdPartyPush_jiaran lt = new Listen_thirdPartyPush_jiaran();
        lt.start();

        /*MqttServer.getInstance().pushlish(Common.getConfigByName("MQTT.server.Subscribe"), "{\"ChargeQuantity\":26247,\"TransFinishTime\":\"1742946093000\",\"GuFee\":0,\"PingFee\":17154796,\"ChargeDuration\":\"1740\",\"GaoQuantity\":0,\"ChargeFee\":17150000,\"JianQuantity\":0,\"OrderNum\":\"20231226000000042503260712104920\",\"PingQuantity\":26247,\"BusNo\":\"6695319\",\"JianFee\":0,\"WuliCardNum\":\"2020121101150251\",\"TransStartTime\":\"1742944329000\",\"DataSendTime\":\"1742946098327\",\"GuQuantity\":0,\"BeginSOC\":\"73\",\"GaoFee\":0,\"SupplierCode\":\"XYHY\",\"StaNo\":\"XYHY0001\",\"FinishMeter\":\"34640260\",\"PowerType\":\"NYLX-D\",\"StartMeter\":\"34614012\",\"ServiceFee\":21000000,\"TotalFee\":38150000,\"EndSOC\":\"100\",\"StopMethod\":\"0\",\"DevNo\":\"XYHY00010007\"}");
        MqttServer.getInstance().pushlish(Common.getConfigByName("MQTT.server.Subscribe"), "{\"ChargeQuantity\":40464,\"TransFinishTime\":\"1742946280000\",\"GuFee\":0,\"PingFee\":26446896,\"ChargeDuration\":\"1980\",\"GaoQuantity\":0,\"ChargeFee\":26450000,\"JianQuantity\":0,\"OrderNum\":\"20231226000000032503260711200250\",\"PingQuantity\":40464,\"BusNo\":\"6695320\",\"JianFee\":0,\"WuliCardNum\":\"2020121101150253\",\"TransStartTime\":\"1742944278000\",\"DataSendTime\":\"1742946290376\",\"GuQuantity\":0,\"BeginSOC\":\"75\",\"GaoFee\":0,\"SupplierCode\":\"XYHY\",\"StaNo\":\"XYHY0001\",\"FinishMeter\":\"37733129\",\"PowerType\":\"NYLX-D\",\"StartMeter\":\"37692665\",\"ServiceFee\":32369999,\"TotalFee\":58820000,\"EndSOC\":\"100\",\"StopMethod\":\"0\",\"DevNo\":\"XYHY00010005\"}");
        MqttServer.getInstance().pushlish(Common.getConfigByName("MQTT.server.Subscribe"), "{\"ChargeQuantity\":47741,\"TransFinishTime\":\"1742946422000\",\"GuFee\":0,\"PingFee\":31203075,\"ChargeDuration\":\"2340\",\"GaoQuantity\":0,\"ChargeFee\":31200000,\"JianQuantity\":0,\"OrderNum\":\"20231226000000032503260707386407\",\"PingQuantity\":47741,\"BusNo\":\"6695322\",\"JianFee\":0,\"WuliCardNum\":\"2020121101150268\",\"TransStartTime\":\"1742944056000\",\"DataSendTime\":\"1742946427675\",\"GuQuantity\":0,\"BeginSOC\":\"70\",\"GaoFee\":0,\"SupplierCode\":\"XYHY\",\"StaNo\":\"XYHY0001\",\"FinishMeter\":\"18469171\",\"PowerType\":\"NYLX-D\",\"StartMeter\":\"18421430\",\"ServiceFee\":38190000,\"TotalFee\":69390000,\"EndSOC\":\"100\",\"StopMethod\":\"0\",\"DevNo\":\"XYHY00010004\"}");
        MqttServer.getInstance().pushlish(Common.getConfigByName("MQTT.server.Subscribe"), "{\"ChargeQuantity\":43453,\"TransFinishTime\":\"1742949797000\",\"GuFee\":0,\"PingFee\":28400478,\"ChargeDuration\":\"1620\",\"GaoQuantity\":0,\"ChargeFee\":28400000,\"JianQuantity\":0,\"OrderNum\":\"20231226000000062503260815238355\",\"PingQuantity\":43453,\"BusNo\":\"6695321\",\"JianFee\":0,\"WuliCardNum\":\"2020121101150266\",\"TransStartTime\":\"1742948125000\",\"DataSendTime\":\"1742949804298\",\"GuQuantity\":0,\"BeginSOC\":\"74\",\"GaoFee\":0,\"SupplierCode\":\"XYHY\",\"StaNo\":\"XYHY0001\",\"FinishMeter\":\"28172271\",\"PowerType\":\"NYLX-D\",\"StartMeter\":\"28128817\",\"ServiceFee\":34760000,\"TotalFee\":63160000,\"EndSOC\":\"100\",\"StopMethod\":\"0\",\"DevNo\":\"XYHY00010010\"}");
        MqttServer.getInstance().pushlish(Common.getConfigByName("MQTT.server.Subscribe"), "{\"ChargeQuantity\":128735,\"TransFinishTime\":\"1742960501000\",\"GuFee\":0,\"PingFee\":0,\"ChargeDuration\":\"3900\",\"GaoQuantity\":128735,\"ChargeFee\":114860000,\"JianQuantity\":0,\"OrderNum\":\"20231226000000032503261035491956\",\"PingQuantity\":0,\"BusNo\":\"6695324\",\"JianFee\":0,\"WuliCardNum\":\"2020121101150241\",\"TransStartTime\":\"1742956547000\",\"DataSendTime\":\"1742960512382\",\"GuQuantity\":0,\"BeginSOC\":\"50\",\"GaoFee\":114856047,\"SupplierCode\":\"XYHY\",\"StaNo\":\"XYHY0001\",\"FinishMeter\":\"18618564\",\"PowerType\":\"NYLX-D\",\"StartMeter\":\"18489829\",\"ServiceFee\":102990000,\"TotalFee\":217850000,\"EndSOC\":\"100\",\"StopMethod\":\"0\",\"DevNo\":\"XYHY00010004\"}");
        MqttServer.getInstance().pushlish(Common.getConfigByName("MQTT.server.Subscribe"), "{\"ChargeQuantity\":101965,\"TransFinishTime\":\"1742966972000\",\"GuFee\":0,\"PingFee\":29092631,\"ChargeDuration\":\"3420\",\"GaoQuantity\":57453,\"ChargeFee\":80350000,\"JianQuantity\":0,\"OrderNum\":\"20231226000000032503261232334526\",\"PingQuantity\":44512,\"BusNo\":\"6695324\",\"JianFee\":0,\"WuliCardNum\":\"2020121101150241\",\"TransStartTime\":\"1742963551000\",\"DataSendTime\":\"1742966982586\",\"GuQuantity\":0,\"BeginSOC\":\"59\",\"GaoFee\":51258977,\"SupplierCode\":\"XYHY\",\"StaNo\":\"XYHY0001\",\"FinishMeter\":\"18720543\",\"PowerType\":\"NYLX-D\",\"StartMeter\":\"18618578\",\"ServiceFee\":81570000,\"TotalFee\":161920000,\"EndSOC\":\"100\",\"StopMethod\":\"0\",\"DevNo\":\"XYHY00010004\"}");
        MqttServer.getInstance().pushlish(Common.getConfigByName("MQTT.server.Subscribe"), "{\"ChargeQuantity\":60321,\"TransFinishTime\":\"1743054805000\",\"GuFee\":0,\"PingFee\":39425247,\"ChargeDuration\":\"2040\",\"GaoQuantity\":0,\"ChargeFee\":39430000,\"JianQuantity\":0,\"OrderNum\":\"20231226000000032503271318417277\",\"PingQuantity\":60321,\"BusNo\":\"6695320\",\"JianFee\":0,\"WuliCardNum\":\"2020121101150253\",\"TransStartTime\":\"1743052720000\",\"DataSendTime\":\"1743054814969\",\"GuQuantity\":0,\"BeginSOC\":\"63\",\"GaoFee\":0,\"SupplierCode\":\"XYHY\",\"StaNo\":\"XYHY0001\",\"FinishMeter\":\"19047782\",\"PowerType\":\"NYLX-D\",\"StartMeter\":\"18987461\",\"ServiceFee\":48260000,\"TotalFee\":87690000,\"EndSOC\":\"100\",\"StopMethod\":\"0\",\"DevNo\":\"XYHY00010004\"}");
        MqttServer.getInstance().pushlish(Common.getConfigByName("MQTT.server.Subscribe"), "{\"ChargeQuantity\":61312,\"TransFinishTime\":\"1743064853000\",\"GuFee\":0,\"PingFee\":40072956,\"ChargeDuration\":\"2100\",\"GaoQuantity\":0,\"ChargeFee\":40070000,\"JianQuantity\":0,\"OrderNum\":\"20231226000000032503271605329220\",\"PingQuantity\":61312,\"BusNo\":\"6695322\",\"JianFee\":0,\"WuliCardNum\":\"2020121101150268\",\"TransStartTime\":\"1743062731000\",\"DataSendTime\":\"1743064858318\",\"GuQuantity\":0,\"BeginSOC\":\"63\",\"GaoFee\":0,\"SupplierCode\":\"XYHY\",\"StaNo\":\"XYHY0001\",\"FinishMeter\":\"19109119\",\"PowerType\":\"NYLX-D\",\"StartMeter\":\"19047808\",\"ServiceFee\":49050000,\"TotalFee\":89120000,\"EndSOC\":\"100\",\"StopMethod\":\"0\",\"DevNo\":\"XYHY00010004\"}");
        MqttServer.getInstance().pushlish(Common.getConfigByName("MQTT.server.Subscribe"), "{\"ChargeQuantity\":24522,\"TransFinishTime\":\"1743065779000\",\"GuFee\":0,\"PingFee\":16027352,\"ChargeDuration\":\"1320\",\"GaoQuantity\":0,\"ChargeFee\":16030000,\"JianQuantity\":0,\"OrderNum\":\"20231226000000022503271633399905\",\"PingQuantity\":24522,\"BusNo\":\"6695319\",\"JianFee\":0,\"WuliCardNum\":\"2020121101150251\",\"TransStartTime\":\"1743064422000\",\"DataSendTime\":\"1743065785170\",\"GuQuantity\":0,\"BeginSOC\":\"86\",\"GaoFee\":0,\"SupplierCode\":\"XYHY\",\"StaNo\":\"XYHY0001\",\"FinishMeter\":\"33711756\",\"PowerType\":\"NYLX-D\",\"StartMeter\":\"33687235\",\"ServiceFee\":19620000,\"TotalFee\":35650000,\"EndSOC\":\"100\",\"StopMethod\":\"0\",\"DevNo\":\"XYHY00010003\"}");
        MqttServer.getInstance().pushlish(Common.getConfigByName("MQTT.server.Subscribe"), "{\"ChargeQuantity\":40033,\"TransFinishTime\":\"1743119138000\",\"GuFee\":0,\"PingFee\":26165198,\"ChargeDuration\":\"1980\",\"GaoQuantity\":0,\"ChargeFee\":26170000,\"JianQuantity\":0,\"OrderNum\":\"20231226000000022503280712259890\",\"PingQuantity\":40033,\"BusNo\":\"6695319\",\"JianFee\":0,\"WuliCardNum\":\"2020121101150251\",\"TransStartTime\":\"1743117150000\",\"DataSendTime\":\"1743119142991\",\"GuQuantity\":0,\"BeginSOC\":\"76\",\"GaoFee\":0,\"SupplierCode\":\"XYHY\",\"StaNo\":\"XYHY0001\",\"FinishMeter\":\"33916065\",\"PowerType\":\"NYLX-D\",\"StartMeter\":\"33876033\",\"ServiceFee\":32030000,\"TotalFee\":58200000,\"EndSOC\":\"100\",\"StopMethod\":\"0\",\"DevNo\":\"XYHY00010003\"}");
        MqttServer.getInstance().pushlish(Common.getConfigByName("MQTT.server.Subscribe"), "{\"ChargeQuantity\":28635,\"TransFinishTime\":\"1743121454000\",\"GuFee\":0,\"PingFee\":18715571,\"ChargeDuration\":\"1560\",\"GaoQuantity\":0,\"ChargeFee\":18720000,\"JianQuantity\":0,\"OrderNum\":\"20231226000000032503280758138208\",\"PingQuantity\":28635,\"BusNo\":\"6695321\",\"JianFee\":0,\"WuliCardNum\":\"2020121101150266\",\"TransStartTime\":\"1743119892000\",\"DataSendTime\":\"1743121464339\",\"GuQuantity\":0,\"BeginSOC\":\"91\",\"GaoFee\":0,\"SupplierCode\":\"XYHY\",\"StaNo\":\"XYHY0001\",\"FinishMeter\":\"38069506\",\"PowerType\":\"NYLX-D\",\"StartMeter\":\"38040872\",\"ServiceFee\":22910000,\"TotalFee\":41630000,\"EndSOC\":\"100\",\"StopMethod\":\"0\",\"DevNo\":\"XYHY00010005\"}");*/
    }
}
